Method: networks.liveStreamEvents.adBreaks.get

Retrieves an AdBreak object.

Query an ad break by its resource name or custom asset key. Check the resource's breakState field to determine its state.

HTTP request

GET https://admanager.googleapis.com/v1/{name}

Path parameters

Parameters
name

string

Required. The resource name of the AdBreak using the asset key or custom asset key.

Format: networks/{networkCode}/liveStreamEventsByAssetKey/{assetKey}/adBreaks/{adBreakId} networks/{networkCode}/liveStreamEventsByCustomAssetKey/{customAssetKey}/adBreaks/{adBreakId}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of AdBreak.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/admanager
  • https://www.googleapis.com/auth/admanager.readonly

For more information, see the OAuth 2.0 Overview.